Status

Instantbird
Other
--
enhancement
4 years ago
4 years ago

People

(Reporter: Quentin Raynaud, Unassigned)

Tracking

(Blocks: 1 bug)

Dependency tree / graph

Details

(Whiteboard: [1.6-wanted])

(Reporter)

Description

4 years ago
*** Original post on bio 155 at 2008-11-04 15:19:00 UTC ***

We would like the default proxy settings to apply on the updating system. It is frustrating not to be able to update instantbird behind a proxy.
*** Original post on bio 155 at 2010-01-17 00:06:23 UTC ***

The preference window provides a way to change the proxy used for updates, so it's now possible to update Instantbird even if you are behind a proxy.

However, the UI is very ugly because there are 2 separate proxy settings: one for accounts (libpurple) and one for Mozilla code. In the future we should unify these settings. Changing the bug title to reflect this.
Severity: normal → enhancement
OS: Windows Vista → All
Hardware: x86 → All
Summary: Updates should use proxy settings → Unify proxy settings
Version: 0.1.2 → trunk
Blocks: 954084
Blocks: 953614
Whiteboard: [0.3-nice-to-have]
*** Original post on bio 155 at 2011-05-23 16:31:16 UTC ***

It's too late to start working on this for 0.3.
Whiteboard: [0.3-nice-to-have] → [nice-to-have]

Comment 3

4 years ago
*** Original post on bio 155 at 2012-07-09 20:34:47 UTC ***

This got a bit more urgent now there are JS protocols, so the "used for accounts" vs "everything else" descriptions are incorrect. (Someone just had an IRC connection problem which turned out to be due to not having the changed the settings for "everything else" appropriately.)

If there is no "good" solution, at least the strings should be changed for 1.3 to be accurate.
Whiteboard: [nice-to-have]
(Reporter)

Comment 4

4 years ago
*** Original post on bio 155 at 2012-07-10 07:40:48 UTC ***

I agree. Now it seems more important than ever before. I don't believe we can release anything before this is fixed but maybe flo will have some sort of workaround for this.

I believe it is possible to get around this "easily" since libpurple support only 2 proxy methods.
1/ HTTP
2/ Socks (v4 & v5)

We could just remove the mozilla proxy UI part and copy the values of the selected proxy to the mozilla configuration.

We could make the UI used for libpurple more like the UI of Mozilla to help users that already know it but with fewer elements.

It might looks like :
==
o No proxy
o Use system proxy settings
o Manual proxy configuration
    HTTP Proxy [                ] [    ]
    Socks Host [                ] [    ]
==
and only that. you might answer "but if there is an automatic configuration script it won't work". As of today it might allow IRC + Jabber to work because those are written in JS but all other protocols won't and the user will need to know the correct parameters himself for those so better to unify.

With this UI it is possible to copy settings across both configurations under the hood because they are completely identical.

You might say, but what about protocols with specific configuration? We could change the UI to match the current one with a specific radio first saying "use global settings" and a description of what is is now. That would looks like :
==
o Use global settings
    Manual proxy configuration
        HTTP Proxy: proxy.mycompany.com:8080
        Socks Host: socks.mycompany.com:8081
o No proxy
o Use system proxy settings
o Manual proxy configuration
    HTTP Proxy [                ] [    ]
    Socks Host [                ] [    ]
==

Then, if we have time, we might think about having the auto configuration script working everywhere. This should be possible since it is a JS file (at least to my knowledge) so we could request in JS and execute it in a context where it can gets the object it will need and where we can get the actual result. That might need some specific API to do this right.

One it is done, we can cache the results (or the script itself) somewhere to try them in background before executing the JS file at the next restart. That would allow everything to work if the server that serve the script is down.

Updated

4 years ago
Whiteboard: [1.3-wanted]
*** Original post on bio 155 at 2012-07-10 19:50:46 UTC ***

(In reply to comment #4)
> I agree. Now it seems more important than ever before. I don't believe we can
> release anything before this is fixed but maybe flo will have some sort of
> workaround for this.

The proxy bug that we really need to fix before releasing is bug 954781 (bio 1347).
*** Original post on bio 155 at 2012-11-02 00:12:31 UTC ***

Too late to work on this for 1.3, replacing 1.3-wanted by 1.4-wanted in the whiteboard.
Whiteboard: [1.3-wanted] → [1.4-wanted]
*** Original post on bio 155 at 2013-04-09 14:49:46 UTC ***

s/1.4-wanted/1.5-wanted/ in the whiteboard for bugs that probably won't happen before 1.4 is released.
Whiteboard: [1.4-wanted] → [1.5-wanted]
*** Original post on bio 155 at 2013-11-02 17:41:54 UTC ***

Mass changing bugs from 1.5-wanted -> 1.6-wanted.
Whiteboard: [1.5-wanted] → [1.6-wanted]
You need to log in before you can comment on or make changes to this bug.